Skip to content
Start here

List downloads

client.Stream.Downloads.Get(ctx, identifier, query) (*DownloadGetResponse, error)
GET/accounts/{account_id}/stream/{identifier}/downloads

Lists the downloads created for a video.

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example:Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY
API Email + API Key

The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

Example:X-Auth-Email: user@example.com

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

Example:X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194
Accepted Permissions (at least one required)
Stream WriteStream Read
ParametersExpand Collapse
identifier string

A Cloudflare-generated unique identifier for a media item.

maxLength32
query DownloadGetParams
AccountID param.Field[string]

Identifier.

maxLength32
ReturnsExpand Collapse
type DownloadGetResponse struct{…}

An object with download type keys. Each key is optional and only present if that download type has been created.

Audio DownloadGetResponseAudiooptional

The audio-only download. Only present if this download type has been created.

PercentComplete float64optional

Indicates the progress as a percentage between 0 and 100.

maximum100
minimum0
Status DownloadGetResponseAudioStatusoptional

The status of a generated download.

One of the following:
const DownloadGetResponseAudioStatusReady DownloadGetResponseAudioStatus = "ready"
const DownloadGetResponseAudioStatusInprogress DownloadGetResponseAudioStatus = "inprogress"
const DownloadGetResponseAudioStatusError DownloadGetResponseAudioStatus = "error"
URL stringoptional

The URL to access the generated download.

formaturi
Default DownloadGetResponseDefaultoptional

The default video download. Only present if this download type has been created.

PercentComplete float64optional

Indicates the progress as a percentage between 0 and 100.

maximum100
minimum0
Status DownloadGetResponseDefaultStatusoptional

The status of a generated download.

One of the following:
const DownloadGetResponseDefaultStatusReady DownloadGetResponseDefaultStatus = "ready"
const DownloadGetResponseDefaultStatusInprogress DownloadGetResponseDefaultStatus = "inprogress"
const DownloadGetResponseDefaultStatusError DownloadGetResponseDefaultStatus = "error"
URL stringoptional

The URL to access the generated download.

formaturi

List downloads

package main

import (
  "context"
  "fmt"

  "github.com/cloudflare/cloudflare-go"
  "github.com/cloudflare/cloudflare-go/option"
  "github.com/cloudflare/cloudflare-go/stream"
)

func main() {
  client := cloudflare.NewClient(
    option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"),
  )
  download, err := client.Stream.Downloads.Get(
    context.TODO(),
    "ea95132c15732412d22c1476fa83f27a",
    stream.DownloadGetParams{
      AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"),
    },
  )
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", download.Audio)
}
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}
Returns Examples
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": {
    "audio": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    },
    "default": {
      "percentComplete": 0,
      "status": "ready",
      "url": "https://customer-m033z5x00ks6nunl.cloudflarestream.com/ea95132c15732412d22c1476fa83f27a/downloads/default.mp4"
    }
  }
}